using System;
using System.Collections.Generic;
using System.Text;
using ForeningModelInterfaceLibrary;

namespace ForeningModelClassLibrary
{
    public class Forening : IForening
    {
        private string navn;

        public Forening()
        {
            this.navn = "Forening uden navn";
       }
        public Forening(string initNavn)
        {
            this.navn = initNavn;
        }
        public string AflsNavn()
        {
            return this.navn;
        }
        public void RetNavn(string nytNavn)
        {
            this.navn = nytNavn;
        }

        #region data og metoder vedr. afdelinger

        private List<IAfdeling> afdelinger = new List<IAfdeling>();
        
        public IAfdeling OpretAfdeling(string initNavn)
        {
            IAfdeling nyAfdeling = new Afdeling(initNavn);
            this.afdelinger.Add(nyAfdeling);
            return nyAfdeling;
        }
        
        public IAfdeling FindAfdeling(string sgenavn)
        {
            IAfdeling fundetAfdeling = null;
            foreach (IAfdeling enAfdeling in this.afdelinger)
            {
                if (enAfdeling.AflsNavn() == sgenavn)
                {
                    fundetAfdeling = enAfdeling;
                    break;
                }

            }
            return fundetAfdeling;
        }
        
        public IAfdeling[] HentAlleAfdeling()
        {
            return this.afdelinger.ToArray();
        }
        
        public IMedlem[] HentAlleMedlemmer()
        {
            List<IMedlem> alleMedlemmer = new List<IMedlem>();
            foreach (IAfdeling enAfdeling in this.afdelinger)
            {
                IMedlem[] medlemmer = enAfdeling.HentAlleMedlemmer();
                foreach (IMedlem etMedlem in medlemmer)
                {
                    alleMedlemmer.Add(etMedlem);
                }
            }
            return alleMedlemmer.ToArray();
        }

        #endregion


    }
}
