using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ForeningModelInterfaceLibrary;

namespace ForeningsWindowsApplication
{
    public partial class AfdelingsForm : Form
    {
        private IForening aktuelForening;
        private IAfdeling aktuelAfdeling;

        public AfdelingsForm(IForening initForening)
        {
            InitializeComponent();
            this.aktuelForening = initForening;
        }

        public AfdelingsForm(IForening initForening, IAfdeling initAfdeling)
        {
            InitializeComponent();
            this.aktuelForening = initForening;
            this.aktuelAfdeling = initAfdeling;

            this.txtAfdelingsNavn.Text = 
                this.aktuelAfdeling.AflsNavn();
        }

        private void btnOpretAfdeling_Click(object sender, EventArgs e)
        {
            string afdelingsnavn = this.txtAfdelingsNavn.Text;
            this.aktuelAfdeling = this.aktuelForening.OpretAfdeling(afdelingsnavn);
        }

        private void btnRetAfdeling_Click(object sender, EventArgs e)
        {
            if (this.aktuelAfdeling == null)
            {
                MessageBox.Show("Find frst afdeling");
            }
            else
            {
                string afdelingsnavn = this.txtAfdelingsNavn.Text;
                this.aktuelAfdeling.RetNavn(afdelingsnavn);
            }

        }

        private void btnFindAfdeling_Click(object sender, EventArgs e)
        {
            string afdelingsnavn = this.txtAfdelingsNavn.Text;
            this.aktuelAfdeling = this.aktuelForening.FindAfdeling(afdelingsnavn);
            if (this.aktuelAfdeling == null)
            {
                MessageBox.Show("Afdeling findes ikke");
            }
            else
            {
                //string afdelingsnavn = this.txtAfdelingsNavn.Text;
            }
        }

        private void btnTilMedlem_Click(object sender, EventArgs e)
        {
            if (this.aktuelAfdeling != null)
            {
                MedlemsForm nyMedlemsForm =
                    new MedlemsForm(this.aktuelAfdeling);
                nyMedlemsForm.ShowDialog();
            }
        }
    }
}