using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ForeningModelInterfaceLibrary;

namespace ForeningsWindowsApplication
{
    public partial class MedlemsForm : Form
    {
        // Model objekter der bruges i formen
        private IAfdeling aktuelAfdeling;
        private IMedlem aktuelMedlem;

        public MedlemsForm(IAfdeling initAfdeling)
        {
            InitializeComponent();

            // opret en testafdeling til at starte p
            aktuelAfdeling = initAfdeling;
        }

        private void btnOpretMedlem_Click(object sender, EventArgs e)
        {
            string fornavn = this.txtFornavn.Text;
            string efternavn = this.txtEfternavn.Text;
            this.aktuelMedlem = aktuelAfdeling.OpretMedlem(fornavn, efternavn);
        }

        private void btnRetMedlem_Click(object sender, EventArgs e)
        {
            string fornavn = this.txtFornavn.Text;
            string efternavn = this.txtEfternavn.Text;
            this.aktuelMedlem.RetFornavn(fornavn);
            this.aktuelMedlem.RetEfternavn(efternavn);
        }

        private void btnFindMedlem_Click(object sender, EventArgs e)
        {
            string fornavn = this.txtFornavn.Text;
            IMedlem fundetMedlem =
                this.aktuelAfdeling.FindMedlem(fornavn);
            if (fundetMedlem==null)
            {
                MessageBox.Show("Medlem findes ikke");
                aktuelMedlem = null;
                this.txtEfternavn.Text = "";
            }
            else
            {
                aktuelMedlem = fundetMedlem;
                this.txtEfternavn.Text = aktuelMedlem.AflsEfternavn(); 
            }
        }
    }
}